package modeles;
/*
 * @author flavien
 */

public class Porte {
		private int id =0;
		private boolean ouvert;
		private Salle salle1;
		private Salle salle2;

		public Porte() {

		}

		public Porte(boolean ouvert, Salle salle,Salle salle2) {
			super();
			this.ouvert = ouvert;
			this.salle1 = salle;
			this.salle1.getListePorte().add(this.id);
			this.salle2 = salle2;
			this.salle2.getListePorte().add(this.id);
			this.id++;
		}
	public boolean estOuverte() {
		return ouvert;
	}

	public void ouverture() {
		this.ouvert= true;
	}

	public Salle prochainSaut(Salle s) {
		if (s==this.salle1) {
			return salle2;
		} else return salle1;
	}
	
	public int getId() {
		return this.id; 
	}


}
